Package: python-ddt / 1.4.1-2.1

Metadata

Package Version Patches format
python-ddt 1.4.1-2.1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
pyyaml unsafeloader.patch | (download)

test/test_example.py | 2 1 + 1 - 0 !
test/test_functional.py | 10 5 + 5 - 0 !
2 files changed, 6 insertions(+), 6 deletions(-)

 [patch] use yaml's unsafeloader for python embedding tests

In newer PyYAML versions the default FullLoader has
python/object/* integration removed. One has to use
UnsafeLoader instead. see this issue for details:

https://github.com/yaml/pyyaml/issues/321
Bug-Debian: https://bugs.debian.org/989009